/[suikacvs]/test/suikawebwww/style/html/xhtml1.css
Suika

Contents of /test/suikawebwww/style/html/xhtml1.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.15 - (hide annotations) (download) (as text)
Sat Jun 25 14:04:01 2005 UTC (21 years ago) by wakaba
Branch: MAIN
Changes since 1.14: +9 -1 lines
File MIME type: text/css
More rules for specifications added

1 wakaba 1.1 @charset 'iso-2022-jp';
2 wakaba 1.7 @import 'http://suika.fam.cx/www/style/ui/toc-style-float.css';
3 wakaba 1.1 @namespace 'http://www.w3.org/1999/xhtml';
4     @namespace xml 'http://www.w3.org/XML/1998/namespace';
5    
6     html {
7     display: block;
8     line-height: 2.0;
9     }
10     head {
11     display: none;
12     }
13    
14     body {
15     display: block;
16     margin: 1em 1.5em;
17     }
18    
19 wakaba 1.3 blockquote, table {
20     margin: 1em 2em;
21     }
22    
23 wakaba 1.1 h1, h2, h3, h4, h5, h6 {
24     display: block;
25     line-height: 1.5;
26     font-size: 120%;
27     font-weight: bolder;
28 wakaba 1.12 font-family: sans-serif;
29 wakaba 1.4 text-align: left;
30 wakaba 1.1 }
31    
32     h1 {
33     text-align: center;
34     font-size: 140%;
35     }
36    
37 wakaba 1.4 h3:before {
38     content: "\0025B6" " ";
39     }
40    
41     h4:before {
42     content: "\0025B7" " ";
43     }
44    
45 wakaba 1.1 p {
46     display: block;
47     text-indent: 1em;
48     margin: 0 1em;
49     text-align: justify;
50     }
51 wakaba 1.8 p:lang(en) {
52     text-indent: 2em;
53     }
54 wakaba 1.1
55     ul, ol, dl {
56     display: block;
57 wakaba 1.14 margin: 1em;
58 wakaba 1.1 padding: 0;
59     }
60    
61 wakaba 1.14 p + ul, p + ol, p + dl,
62     p > ul, p > ol, p > dl {
63     margin-left: 3em;
64     }
65    
66 wakaba 1.1 dt, li {
67     display: list-item;
68     margin-left: 1em;
69     padding-left: 0.5em;
70     }
71 wakaba 1.10 ul li {
72     list-style: disc;
73     }
74     dt dt, ul li ul li {
75 wakaba 1.1 list-style: square;
76     }
77 wakaba 1.10 ol li {
78     list-style: decimal;
79     }
80     ol li ol li {
81     list-style: lower-alpha;
82     }
83 wakaba 1.9
84     dt {
85 wakaba 1.10 font-weight: normal;
86     list-style: disc;
87 wakaba 1.9 }
88    
89 wakaba 1.1 dd {
90 wakaba 1.9 display: block;
91 wakaba 1.1 margin-left: 3em;
92     padding-left: 0;
93 wakaba 1.7 overflow: auto;
94 wakaba 1.9 list-style-type: none;
95 wakaba 1.1 }
96    
97     li:first-child:last-child {
98     list-style: disc;
99     }
100    
101     blockquote {
102     display: block;
103 wakaba 1.3 border-left: 1em double rgb(204, 0, 0);
104     padding-left: 1em;
105     }
106    
107     blockquote > cite {
108     display: block;
109     margin-right: 2em;
110     text-align: right;
111     }
112     /* XML Alternate: H3|credit */
113    
114     blockquote > cite:before {
115     display: inline;
116     content: "$B!=!=(B " !important;
117     }
118     blockquote > cite:after {
119     display: inline;
120     content: "" !important;
121 wakaba 1.1 }
122    
123 wakaba 1.2 table {
124     margin-left: auto;
125     margin-right: auto;
126     }
127    
128 wakaba 1.4 /* Physical Blocks */
129    
130     pre {
131     display: block;
132     overflow: auto;
133     font-family: "Courier New", "Courier", monospace;
134     }
135    
136 wakaba 1.3 /* Phrase */
137 wakaba 1.2
138 wakaba 1.1 code {
139     font-family: "Courier New", "Courier", monospace;
140     letter-spacing: 0.1em;
141 wakaba 1.10 background-color: transparent;
142     color: orangered;
143 wakaba 1.1 }
144    
145 wakaba 1.4 var {
146 wakaba 1.13 border-bottom-style: solid;
147     border-bottom-width: 1px;
148     padding-bottom: 0.025em;
149 wakaba 1.4 font-style: normal;
150 wakaba 1.13 text-decoration: none;
151 wakaba 1.1 }
152 wakaba 1.4 var:lang(en) {
153 wakaba 1.14 border-bottom-style: none;
154 wakaba 1.4 font-family: "Times New Roman", serif;
155     font-style: italic;
156     text-decoration: none;
157 wakaba 1.1 }
158    
159 wakaba 1.12 /* Defining Instances */
160 wakaba 1.3 dfn {
161     font-style: normal;
162     font-weight: bolder;
163 wakaba 1.12 font-family: sans-serif;
164 wakaba 1.14 font-size: 100%;
165 wakaba 1.3 }
166 wakaba 1.4 dfn:lang(en) {
167     font-style: italic;
168     font-weight: normal;
169 wakaba 1.12 font-family: "Times New Roman", "Times", serif;
170 wakaba 1.4 }
171 wakaba 1.3
172 wakaba 1.15 /* Technical Term Instances (HTML5) */
173     i {
174     border-style: none;
175     font-style: normal;
176     font-size: 100%;
177     text-decoration: none;
178     }
179    
180 wakaba 1.5 /* Inputs */
181 wakaba 1.3 kbd {
182     font-family: "Courier New", "Courier", monospace;
183     font-size: 100%;
184     line-height: 1.1;
185 wakaba 1.9 border: gray 1px outset;
186 wakaba 1.5 padding: 0.1em;
187 wakaba 1.3 }
188    
189 wakaba 1.2 em {
190 wakaba 1.14 border-bottom-style: solid;
191     border-bottom-width: 1px;
192     padding-bottom: 0.03em;
193 wakaba 1.2 font-style: normal;
194 wakaba 1.14 text-decoration: none;
195     font-size: 100%;
196 wakaba 1.2 }
197    
198 wakaba 1.3 em:lang(en) {
199     font-style: italic;
200     text-decoration: none;
201 wakaba 1.2 }
202    
203 wakaba 1.13 strong {
204     font-weight: bolder;
205     font-family: sans-serif;
206     }
207     /* Alternate: h1|em */
208    
209 wakaba 1.14 /* Citations and quotations */
210    
211 wakaba 1.1 /*
212     * $B8@8l>pJs$G>l9gJ,$1$9$k$N$O@5$7$/$J$$$,!"8=:_$N(B CSS
213     * $B$K$OMQ;z7O$NA*Br;R$,$J$$$+$i!"6a;wE*$K$3$l$r;H$&!#(B
214     */
215    
216 wakaba 1.14 :lang(ja) > cite {
217     quotes: none;
218 wakaba 1.1 font-style: normal;
219     }
220 wakaba 1.14 :lang(ja) > cite:before {
221     content: "$B!X(B";
222 wakaba 1.1 }
223 wakaba 1.14 :lang(ja) > cite:after {
224     content: "$B!Y(B";
225 wakaba 1.1 }
226 wakaba 1.14
227 wakaba 1.12 cite:lang(ja) cite {
228 wakaba 1.14 quotes: none;
229 wakaba 1.12 }
230 wakaba 1.14 cite:lang(ja) cite:before { content: "$B!V(B" }
231     cite:lang(ja) cite:after { content: "$B!W(B" }
232    
233 wakaba 1.1 [lang|="en"] cite, [xml|lang|="en"] cite {
234     quotes: none;
235     font-style: italic;
236     }
237     [lang|="en"] cite cite, [xml|lang|="en"] cite cite {
238     quotes: none;
239     font-style: normal;
240     }
241     [lang|="en"] cite:before, [xml|lang|="en"] cite:before,
242     [lang|="en"] cite:after, [xml|lang|="en"] cite:after {
243     content: none;
244     }
245    
246 wakaba 1.14 :lang(ja) > q {
247     quotes: none;
248     }
249     :lang(ja) > q:before {
250     content: "$B!V(B";
251     }
252     :lang(ja) > q:after {
253     content: "$B!W(B";
254     }
255    
256 wakaba 1.3 /* Table */
257    
258     table {
259 wakaba 1.6 border: 1px solid gray;
260     border-spacing: 0;
261 wakaba 1.3 }
262    
263     thead, tfoot, th {
264 wakaba 1.6 font-weight: bolder;
265 wakaba 1.14 font-family: sans-serif;
266 wakaba 1.3 }
267    
268     td, th {
269     padding: 0.2em 0.4em;
270 wakaba 1.6 border: 1px solid #E0E0E0;
271 wakaba 1.3 }
272    
273 wakaba 1.6 th[scope="row"], th[scope="rowgroup"] {
274     text-align: left;
275     border-right: 1px solid #C0C0C0;
276 wakaba 1.1 }
277 wakaba 1.6 th[scope="col"], th[scope="colgroup"] {
278     text-align: center;
279     border-bottom: 1px solid #C0C0C0;
280 wakaba 1.1 }
281    
282 wakaba 1.5 /* Subscripts and Superscripts */
283    
284     sub {
285     vertical-align: sub;
286     font-size: 80%;
287     }
288     sup {
289     vertical-align: top;
290     font-size: 80%;
291     }
292    
293    
294 wakaba 1.3 /* Edit */
295    
296     ins {
297 wakaba 1.14 border-bottom-style: solid;
298     border-bottom-width: 1px;
299     padding-bottom: 0.03em;
300 wakaba 1.5 background-color: rgb(255, 255, 153);
301 wakaba 1.3 color: black;
302 wakaba 1.14 font-style: normal;
303     text-decoration: none;
304 wakaba 1.5 }
305    
306     body > ins {
307     display: block;
308     text-decoration: none;
309 wakaba 1.3 }
310    
311     del {
312     background-color: #FFBBBB;
313     color: black;
314 wakaba 1.4 font-size: 80%;
315 wakaba 1.3 }
316    
317 wakaba 1.5 body > del {
318     display: block;
319     }
320    
321 wakaba 1.3 /* Footer */
322    
323     address {
324     font-style: normal;
325     font-size: 100%;
326     }
327    
328 wakaba 1.9 /* Hyperlinks */
329    
330 wakaba 1.13 a:link, a:visited {
331     text-decoration: none;
332     border-bottom-style: solid;
333     border-bottom-width: 1px;
334     padding-bottom: 0.05em;
335     }
336    
337 wakaba 1.9 [href^="#"]:link, [href^="#"]:visited {
338     text-decoration: none !important;
339     border-bottom: dotted 1px !important;
340     }
341    
342     a:hover {
343     background-color: #FFA;
344     color: #000080;
345     }
346    
347 wakaba 1.10 /* Forms */
348    
349     textarea {
350     vertical-align: top;
351     }
352    
353 wakaba 1.1 /* License
354    
355 wakaba 1.4 Copyright 2003-2005 Wakaba <[email protected]>.
356 wakaba 1.1
357     This program is free software; you can redistribute it and/or modify
358     it under the terms of the GNU General Public License as published by
359     the Free Software Foundation; either version 2 of the License, or
360     (at your option) any later version.
361    
362     This program is distributed in the hope that it will be useful,
363     but WITHOUT ANY WARRANTY; without even the implied warranty of
364     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
365     GNU General Public License for more details.
366    
367     You should have received a copy of the GNU General Public License
368     along with this program; see the file COPYING. If not, write to
369     the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
370     Boston, MA 02111-1307, USA.
371    
372     */
373    
374 wakaba 1.15 /* $Date: 2005/06/22 11:50:18 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24